* {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}

body {
    color: #222;
}

a {
    color: #0170ca;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    text-decoration: none;
}

a:hover {
    color: #0170ca;
}

h1, .h1 {
    font-size: 1.8em;
    font-weight: 500;
}

h2, .h2 {
    font-size: 1.2em;
    font-weight: 200;
}

h3, .h3 {
    font-size: 1em;
    font-weight: 200;
    line-height: 1.4em;
}

.animate-box {
    opacity: 0;
}


/* Underline on hover effect */

.ul-on-hover {
    display: inline-block;
    position: relative;
    outline: none;
}

.ul-on-hover::after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: #eee;
    transform-origin: bottom right;
    transition: transform 0.25s ease-out;
}

.ul-on-hover.blue::after {
    background-color: #2c98f0;
}

.ul-on-hover:hover::after,
.link.active a::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

.external-link-round-icon {
    width: 35px;
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
}


/* main classes and styles */

.wrapper {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.container-wrap {
    max-width: 100%;
    margin: 0 auto;
}

.nav-toggle {
    position: fixed;
    left: -5px;
    top: 0px;
    z-index: 9999;
    cursor: pointer;
    opacity: 1;
    visibility: hidden;
    padding: 20px;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    background: rgba(255, 255, 255, 0.95);
}

.nav-toggle i {
    position: relative;
    display: -moz-inline-stack;
    display: inline-block;
    zoom: 1;
    width: 30px;
    height: 2px;
    color: #000;
    font: bold 14px/.4 Helvetica;
    text-transform: uppercase;
    text-indent: -55px;
    background: #000;
    -webkit-transition: all .2s ease-out;
    -o-transition: all .2s ease-out;
    transition: all .2s ease-out;
}

.nav-toggle i::after,
.nav-toggle i::before {
    content: '';
    width: 30px;
    height: 2px;
    background: #000;
    position: absolute;
    left: 0;
    -webkit-transition: 0.2s;
    -o-transition: 0.2s;
    transition: 0.2s;
}

.nav-toggle i::before {
    top: -7px;
}

.nav-toggle i::after {
    top: 7px;
}

aside {
    padding: 3em 15px 40px;
    float: left;
    width: 300px;
    position: fixed;
    overflow-y: scroll;
    z-index: 10999;
    background: linear-gradient(rgba(0, 69, 125, 0.9), rgba(0, 79, 142, 0.9)), url('../images/nimna-1.jpg');
    background-size: cover;
    background-position: center;
    -webkit-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    height: 100vh;
    color: #fff;
}

aside .avatar {
    background-image: url('../images/nimna-perera.jpg');
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    width: 150px;
    height: 150px;
    margin: 0 auto;
    margin-bottom: 0px;
    margin-bottom: 30px;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    border-radius: 50%;
}

aside h1 {
    font-family: 'Poppins', 'Montserrat', sans-serif;
}

aside a {
    color: #fff;
}

aside a:hover {
    color: #eee;
}

aside .nav-links,
aside .nav-footer {
    margin-top: 30px;
}

aside .nav-links .link {
    padding: 4px 10px;
    font-weight: 300;
}

aside .nav-footer .social-links {
    margin-bottom: 15px;
    display: flex;
    justify-content: center;
}

aside .nav-footer .social-links div {
    background-color: #fff;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    color: rgba(0, 79, 142, 0.9);
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 3px;
}

aside .nav-footer .credits {
    font-size: 0.8em;
    font-weight: 200;
}

main {
    width: calc(100% - 300px);
    float: right;
    -webkit-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    background: linear-gradient(rgba(255, 255, 255, 0.92), rgba(255, 255, 255, 0.72)), url('/images/bg.jpg') no-repeat;
    background-attachment: fixed;
    background-size: cover;
}

main>section {
    padding: 2em 2.5em 2em;
    clear: both;
    width: 100%;
    display: block;
}

main>section:first-of-type {
    min-height: 100vh;
    padding-top: 4em;
}

.section-heading span {
    font-weight: 300;
}

.section-heading {
    font-weight: 400;
    letter-spacing: 4px;
    text-transform: uppercase;
    margin-bottom: 30px;
}

section p,
section ul {
    font-weight: 300;
    line-height: 1.6;
}

section strong {
    font-weight: 500;
}

.btn-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    outline: none;
    color: #fff;
    border-radius: 8px;
    background: rgba(0, 0, 0, 0.85);
    transition: all 0.5s ease;
}

.btn-top.hide {
    right: -100px;
}

/* timelines styles */

.timeline {
    position: relative;
    border-color: rgba(160, 175, 185, .15);
    padding: 0;
    margin: 0
}

.tl-item {
    border-radius: 3px;
    position: relative;
    display: -ms-flexbox;
    display: flex;
}

.tl-item>* {
    padding: 10px
}

.tl-item:last-child .tl-dot::after {
    height: 85%;
}

.tl-item:last-child .tl-dot.only-dot::after {
    height: 0 !important;
}

.tl-dot {
    position: relative;
    border-color: #243D7C !important;
}

.tl-dot::after,
.tl-dot::before {
    content: '';
    position: absolute;
    border-color: inherit;
    border-width: 2px;
    border-style: solid;
    border-radius: 50%;
    width: 10px;
    height: 10px;
    top: 15px;
    left: 50%;
    transform: translateX(-50%)
}

.tl-dot::after {
    width: 0;
    height: auto;
    top: 25px;
    bottom: -15px;
    border-right-width: 0;
    border-top-width: 0;
    border-bottom-width: 0;
    border-radius: 0
}

.no-line .tl-dot::after {
    display: none;
}

.tl-img {
    padding: 0;
}

.tl-img img {
    width: 75px;
}

.tl-content p:last-child {
    margin-bottom: 0
}

.tl-content span {
    font-weight: 300;
}

.tl-head {
    font-size: 1.1em;
}

.tl-date {
    font-size: .95em;
    margin-top: 2px;
    min-width: 100px;
    max-width: 100%
}


/* off canvas effects */

body.off-canvas {
    overflow: hidden;
}

.off-canvas aside {
    -moz-transform: translateX(0);
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    -o-transform: translateX(0);
    transform: translateX(0);
    width: 300px;
    position: fixed;
}

.off-canvas .nav-toggle,
.off-canvas main {
    top: 0;
    -moz-transform: translateX(300px);
    -webkit-transform: translateX(300px);
    -ms-transform: translateX(300px);
    -o-transform: translateX(300px);
    transform: translateX(300px);
}

.off-canvas .nav-toggle i {
    background: transparent;
}

.off-canvas .nav-toggle i::before {
    top: 0;
    -webkit-transform: rotateZ(45deg);
    -moz-transform: rotateZ(45deg);
    -ms-transform: rotateZ(45deg);
    -o-transform: rotateZ(45deg);
    transform: rotateZ(45deg);
}

.off-canvas .nav-toggle i::after {
    top: 0;
    -webkit-transform: rotateZ(-45deg);
    -moz-transform: rotateZ(-45deg);
    -ms-transform: rotateZ(-45deg);
    -o-transform: rotateZ(-45deg);
    transform: rotateZ(-45deg);
}

.off-canvas .btn-top {
    right: -280px;
}

.project-img {
    border: 1px solid #ddd;
    border-radius: 12px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
}

[data-section="technical-projects"] a,
.external-link-round-icon {
    padding: 5px 12px;
    background: #222;
    color: #fff;
    border: 2px solid #222;
    border-radius: 30px;
    font-weight: 500;
}

[data-section="technical-projects"] a:hover,
.external-link-round-icon:hover {
    background: #fff;
    color: #222;
}

[data-section="other"] .timeline {
    background: #fff;
    padding: 40px 30px;
    border-radius: 10px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3);
}

[data-section="other"] h2 {
    font-weight: 600;
}

.society-logo {
    max-height: 70px;
    position: absolute;
    z-index: 100;
    right: 30px;
    top: 20px;
}

/* not found page */

.not-found aside {
    width: 100vw !important;
    -moz-transform: translateX(0px) !important;
    -webkit-transform: translateX(0px) !important;
    -ms-transform: translateX(0px) !important;
    -o-transform: translateX(0px) !important;
    transform: translateX(0px) !important;
}